CRYSTAL-TOOL-MACRO_CODE_COVERAGE(1)

NAME
crystal-tool-macro_code_coverage - generate a macro code coverage report.

SYNOPSIS

crystal tool macro_code_coverage [options] [programfile]

DESCRIPTION

Generate and output a macro code coverage report to STDERR. Any exception raised while computing the report is written to STDOUT.

OPTIONS

-D FLAG, --define=FLAG
    Define a compile-time flag. This is useful to con ditionally define types, methods, or commands based on flags available at compile time. The default flags are from the target triple given with --tar get-triple or the hosts default, if none is given.

-f FORMAT, --format=FORMAT
    Output format 'codecov' (default).

-i PATH, --include=PATH
    Include path in output.

-e PATH, --exclude=PATH
    Exclude path in output (default: lib).

--error-trace
    Show full error trace.

--prelude
    Specify prelude to use. The default one initializes the garbage collector. You can also use --pre lude=empty to use no preludes. This can be useful for checking code generation for a specific source code file.

-s, --stats
    Print statistics about the different compiler stages for the current build. Output time and used memory for each compiler process.

-p, --progress
    Print statistics about the progress for the current build.

-t, --time
    Print statistics about the execution time.

--no-color
    Disable colored output.